## ros-kinetic-roch-robot 2.0.15

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(roch_robot)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-kinetic-roch-robot (2.0.15-0xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Carl <wzhang@softrobtech.com>  Tue, 19 Sep 2017 08:43:54 -0000

ros-kinetic-roch-robot (2.0.14-0xenial) xenial; urgency=high



 -- Carl <wzhang@softrobtech.com>  Sun, 17 Sep 2017 16:00:00 -0000

ros-kinetic-roch-robot (2.0.13-0xenial) xenial; urgency=high



 -- Carl <wzhang@softrobtech.com>  Wed, 22 Mar 2017 16:00:00 -0000

ros-kinetic-roch-robot (1.0.13-0xenial) xenial; urgency=high



 -- Carl <wzhang@softrobtech.com>  Wed, 22 Mar 2017 16:00:00 -0000

ros-kinetic-roch-robot (1.0.12-0xenial) xenial; urgency=high

  * Add roch_capabilities.

 -- Carl <wzhang@softrobtech.com>  Wed, 15 Feb 2017 16:00:00 -0000

ros-kinetic-roch-robot (1.0.11-0xenial) xenial; urgency=high



 -- Carl <wzhang@softrobtech.com>  Mon, 06 Feb 2017 16:00:00 -0000

ros-kinetic-roch-robot (1.0.10-0xenial) xenial; urgency=high



 -- Carl <wzhang@softrobtech.com>  Sun, 22 Jan 2017 16:00:00 -0000

ros-kinetic-roch-robot (1.0.9-0xenial) xenial; urgency=high

  * Add information of websites.

 -- Carl <wzhang@softrobtech.com>  Sat, 21 Jan 2017 16:00:00 -0000

ros-kinetic-roch-robot (1.0.8-0xenial) xenial; urgency=high



 -- Carl <wzhang@softrobtech.com>  Sat, 21 Jan 2017 16:00:00 -0000

ros-kinetic-roch-robot (1.0.7-0xenial) xenial; urgency=high



 -- Carl <wzhang@softrobtech.com>  Fri, 20 Jan 2017 16:00:00 -0000

ros-kinetic-roch-robot (1.0.6-0xenial) xenial; urgency=high



 -- Carl <wzhang@softrobtech.com>  Mon, 16 Jan 2017 16:00:00 -0000

ros-kinetic-roch-robot (0.1.1-0xenial) xenial; urgency=high

  * add roch_safty_controller
  * add roch_sensorpc

 -- Carl <wzhang@softrobtech.com>  Wed, 23 Nov 2016 16:00:00 -0000

ros-kinetic-roch-robot (0.0.1-0xenial) xenial; urgency=high

  * Metapackages for robot and desktop variants.

 -- Carl <wzhang@softrobtech.com>  Thu, 15 Sep 2016 16:00:00 -0000

=== debian/control ===
Source: ros-kinetic-roch-robot
Section: misc
Priority: extra
Maintainer: Carl <wzhang@softrobtech.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin
Homepage: http://wiki.ros.org/roch_robot
Standards-Version: 3.9.2

Package: ros-kinetic-roch-robot
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-roch-base, ros-kinetic-roch-capabilities, ros-kinetic-roch-control, ros-kinetic-roch-description, ros-kinetic-roch-ftdi, ros-kinetic-roch-msgs, ros-kinetic-roch-safety-controller, ros-kinetic-roch-sensorpc
Description: Metapackage for SawYer roch robot software

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-roch-robot//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
